package com.ruoyi.bst.dsLog.domain;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 数据日志对象 bst_ds_log
 *
 * @author ruoyi
 * @date 2025-04-18
 */
@Data
public class DsLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "网关MAC")
    @ApiModelProperty("网关MAC")
    private String gatewayMac;

    @Excel(name = "实际设备MAC")
    @ApiModelProperty("实际设备MAC")
    private String deviceMac;

    @Excel(name = "数据点")
    @ApiModelProperty("数据点")
    private String ds;

    @Excel(name = "数据")
    @ApiModelProperty("数据")
    private String data;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("上报时间")
    private LocalDateTime at;

}
