package com.ruoyi.bst.dsLog.mapper;

import java.util.List;
import com.ruoyi.bst.dsLog.domain.DsLog;
import com.ruoyi.bst.dsLog.domain.DsLogVO;
import com.ruoyi.bst.dsLog.domain.DsLogQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 数据日志Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-18
 */
public interface DsLogMapper
{
    /**
     * 查询数据日志
     *
     * @param id 数据日志主键
     * @return 数据日志
     */
    DsLogVO selectDsLogById(Long id);

    /**
     * 查询数据日志列表
     *
     * @param query 数据日志
     * @return 数据日志集合
     */
    List<DsLogVO> selectDsLogList(@Param("query")DsLogQuery query);

    /**
     * 新增数据日志
     *
     * @param dsLog 数据日志
     * @return 结果
     */
    int insertDsLog(DsLog dsLog);

    /**
     * 批量新增数据日志
     */
    int batchInsert(@Param("list") List<? extends DsLog> list);

    /**
     * 批量修改数据日志
     */
    int batchUpdate(@Param("list") List<? extends DsLog> list);

    /**
     * 修改数据日志
     *
     * @param dsLog 数据日志
     * @return 结果
     */
    public int updateDsLog(@Param("data") DsLog dsLog);

    /**
     * 删除数据日志
     *
     * @param id 数据日志主键
     * @return 结果
     */
    int deleteDsLogById(Long id);

    /**
     * 批量删除数据日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDsLogByIds(Long[] ids);
}
