package com.ruoyi.bst.gateway.service;

import java.util.List;

import com.ruoyi.bst.gateway.domain.Gateway;
import com.ruoyi.bst.gateway.domain.GatewayQuery;
import com.ruoyi.bst.gateway.domain.GatewayVO;

/**
 * 网关Service接口
 *
 * @author ruoyi
 * @date 2025-04-17
 */
public interface GatewayService
{
    /**
     * 查询网关
     *
     * @param id 网关主键
     * @return 网关
     */
    public GatewayVO selectGatewayById(Long id);

    /**
     * 查询网关列表
     *
     * @param gateway 网关
     * @return 网关集合
     */
    public List<GatewayVO> selectGatewayList(GatewayQuery gateway);

    /**
     * 新增网关
     *
     * @param gateway 网关
     * @return 结果
     */
    public int insertGateway(Gateway gateway);

    /**
     * 修改网关
     *
     * @param gateway 网关
     * @return 结果
     */
    public int updateGateway(Gateway gateway);

    /**
     * 批量删除网关
     *
     * @param ids 需要删除的网关主键集合
     * @return 结果
     */
    public int deleteGatewayByIds(Long[] ids);

    /**
     * 删除网关信息
     *
     * @param id 网关主键
     * @return 结果
     */
    public int deleteGatewayById(Long id);
}
