package com.ruoyi.iot.domain;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import lombok.Data;

/**
 * 设备传来的数据
 * @author wjh
 * 2024/3/20
 */
@Data
public class IotDeviceInfo {

    // mac
    private String mac;

    // 时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime at;

    // 版本号
    private String ver;

    // 物联网卡号
    private String imei;

    // 信号值
    private Integer csq;

    // 子设备数据
    private List<CurrentDatastream> subDataList;

    public void addSubData(CurrentDatastream subData) {
        if (subData == null) {
            return;
        }
        if (subDataList == null) {
            subDataList = new ArrayList<>();
        }
        subDataList.add(subData);
    }
    
}
